Write a version's release notes
Replaces the notes and stops Oore drafting them from commits. Notes read from the repository are refused with 409 `notes_in_repository`: change the file instead.
Operation ID
update_release_notesReplaces the notes and stops Oore drafting them from commits. Notes read from the repository are refused with 409 notes_in_repository: change the file instead.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
project_id*string
Project ID
version_name*string
App version name, such as 2.5.1
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
PUT /v1/projects/{project_id}/release-notes/{version_name}.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/string/release-notes/string" \ -H "Content-Type: application/json" \ -d '{ "text": "string" }'{ "drafted_since": "string", "locales": [ { "locale": "string", "text": "string" } ], "project_id": "string", "source": "commits", "source_path": "string", "text": "string", "updated_at": 0, "updated_by": "string", "version_name": "string"}